Subject: Re: bug#22582: 25.0.90; package-test fail on w64

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Feb 2016 19:19:47 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Mon, 8 Feb 2016 11:04:49 +0100
> Cc: [email-masked]
> 
> If I run the package-test-server.py and I try to connect from a browser with
> http://0.0.0.0:8000/archive-contents, I get ERR_ADDRESS_INVALID.
> 
> But that I have the same error if I try to open:
> http://xx.xx.xx.xx:8000/archive-contents with xx.xx.xx.xx being my current IP address.
> 
> I get the file only if I connect to http://127.0.0.1:8000/archive-contents.
> 
> So I suspect that it is a default setting of the firewall in Windows 10.
> 
> The python server script 
> test/automated/data/package/package-test-server.py
> runs explicitly on 127.0.0.1, so why not using this address in the test?
> What does using 0.0.0.0 brings here in the package-test-update-archives-async test?

I don't know.  Perhaps someone else does.

Failing that, maybe we should just make the change and see who
hollers.